Subject: [Geopriv] "A Uniform Resource Identifier for Geographic Locations ('geo' URI)"

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 23 Feb 2007 16:55:24 -0500

In case you haven't seen this:

Title		: A Uniform Resource Identifier for Geographic Locations  
('geo' URI)
Author(s)	: A. Mayrhofer, C. Spanring
Filename	: draft-mayrhofer-geo-uri-00.txt
Pages		: 13
Date		: 2007-2-23

It mentions SIP as an application. This is not an endorsement or  
critique of the proposal, just FYI.

Henning

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 24 Feb 2007 17:54:08 +0100

Section 6.2. reads a slightly different version of the not yet finished 
attempt to standardize 
http://www.potaroo.net/ietf/all-ids/draft-daviel-html-geo-tag-05.txt and 
Section 6.3 sounds like an incomplete SIP Location Conveyance approach.

The argument of the document that existing mechanisms "don't provide a 
generic way to protocol independent location identification." seems 
pretty dubious given that the URI definition alone does not provide 
enough semantic (unless you read all the way through Section 6 where the 
semantic is hinted based on examples).

Ciao
Hannes

---

From: Hannes Tschofenig <[email-masked]>
Date: Sun, 25 Feb 2007 13:59:10 +0100

Hi Alex,

in an abstract sense you either carry location information within a 
protocol or you annotate some data items with it.
The encoding is another story that I leave aside.

Now, when you carry location information between different end points 
you need to indicate what the semantics are. As an example might want to 
take a look at the SIP Location Conveyance draft, available at 
http://tools.ietf.org/id/draft-ietf-sip-location-conveyance-07.txt

It, for example, describes
* what happens if the receiver expects location information but does not 
get it
* what happens if the receiver receives location information it does not 
understand (but is supposed to)
* what the privacy and security implications are
* to which entity the location information refers
* who is supposed to process what and when

If you add location information to a data model then you need to worry 
about things like
* in which context is the data model used
* privacy implications
* protocols that shuffle around with the instance documents ('using 
protocols')

Examples can be found with
http://www.potaroo.net/ietf/all-ids/draft-daviel-html-geo-tag-05.txt and
RFC 4119

Your document currently focuses on the encoding but omits the rest. 

Ciao
Hannes

Alexander Mayrhofer wrote:
> Hannes Tschofenig wrote:
>   
>> Section 6.2. reads a slightly different version of the not yet
>> finished attempt to standardize
>> http://www.potaroo.net/ietf/all-ids/draft-daviel-html-geo-tag-05.txt
>> and Section 6.3 sounds like an incomplete SIP Location Conveyance
>> approach.
>>
>> enough semantic (unless you read all the way through Section 6 where
>> the semantic is hinted based on examples).
>>     
>
> Hannes,
>
> thanks for reading through it - i'd like to point out that this is a
> first version of the draft, and of course we're happy about any
> feedback. Our goal is now to find out whether this approach is
> considered useful.
>
> Could you elaborate on why you think the URI definition does not provide
> enough semantic information? Is it for a specific use case, or are you
> unsure that the URI itself does not provide enough information for
> identifying a certain location?
>
> thanks,
>
> Alex
>